com.corticon.rulesemf.common

## Interface CommonFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface CommonFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `CommonPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CommonFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotatable` | `createAnnotatable()` Returns a new object of class 'Annotatable'
    `Annotation` | `createAnnotation()` Returns a new object of class 'Annotation'
    `Asset` | `createAsset()` Returns a new object of class 'Asset'
    `CorticonObject` | `createCorticonObject()` Returns a new object of class 'Corticon Object'
    `InternationalValidationMessage` | `createInternationalValidationMessage()` Returns a new object of class 'International Validation Message'
    `LocalizedValidationMessage` | `createLocalizedValidationMessage()` Returns a new object of class 'Localized Validation Message'
    `ValidatableObject` | `createValidatableObject()` Returns a new object of class 'Validatable Object'
    `ValidationMessage` | `createValidationMessage()` Returns a new object of class 'Validation Message'
    `CommonPackage` | `getCommonPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final CommonFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createValidationMessage

          ValidationMessage createValidationMessage()

      Returns a new object of class 'Validation Message'.
      Returns:
        a new object of class 'Validation Message'.

    - #### createLocalizedValidationMessage

          LocalizedValidationMessage createLocalizedValidationMessage()

      Returns a new object of class 'Localized Validation Message'.
      Returns:
        a new object of class 'Localized Validation Message'.

    - #### createInternationalValidationMessage

          InternationalValidationMessage createInternationalValidationMessage()

      Returns a new object of class 'International Validation Message'.
      Returns:
        a new object of class 'International Validation Message'.

    - #### createAsset

          Asset createAsset()

      Returns a new object of class 'Asset'.
      Returns:
        a new object of class 'Asset'.

    - #### createValidatableObject

          ValidatableObject createValidatableObject()

      Returns a new object of class 'Validatable Object'.
      Returns:
        a new object of class 'Validatable Object'.

    - #### createAnnotation

          Annotation createAnnotation()

      Returns a new object of class 'Annotation'.
      Returns:
        a new object of class 'Annotation'.

    - #### createAnnotatable

          Annotatable createAnnotatable()

      Returns a new object of class 'Annotatable'.
      Returns:
        a new object of class 'Annotatable'.

    - #### createCorticonObject

          CorticonObject createCorticonObject()

      Returns a new object of class 'Corticon Object'.
      Returns:
        a new object of class 'Corticon Object'.

    - #### getCommonPackage

          CommonPackage getCommonPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.